export class CacheConfig {
    constructor() {
        this.mEnable = false;
        this.mDir = "";
        this.mMaxSizeMB = 0;
        this.mMaxDurationS = 0;
    }
    isCacheEnabled() {
        return this.mEnable;
    }
    setCacheEnabled(f22) {
        this.mEnable = f22;
    }
    getCacheDir() {
        return this.mDir;
    }
    setCacheDir(e22) {
        this.mDir = e22;
    }
    getMaxCacheSizeMB() {
        return this.mMaxSizeMB;
    }
    setMaxCacheSizeMB(d22) {
        this.mMaxSizeMB = d22;
    }
    getMaxDurationS() {
        return this.mMaxDurationS;
    }
    setMaxDurationS(c22) {
        this.mMaxDurationS = c22;
    }
}
